/* SingIt Lyrics Displayer
 * Copyright (C) 2000, 2001 Jan-Marek Glogowski <glogow@stud.fbi.fh-darmstadt.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __SINGIT_CONFIG_H__
#define __SINGIT_CONFIG_H__

#include <singit_song.h>

typedef struct _SingitConfig {

	// Changed by user - restored
	gboolean lyricPolling;      // Should user see new lyrics, even if no song is played ?
	gboolean toggleYZ;          // Instead of Z use Y (german keyboard "fix")
	gboolean showEmpty;         // Show the selection on empty lines
	gboolean autoResize;        // Resize the window automagically
	gboolean hideIfNotFound;    // Hide the lyric window, if no lyrics were found
	gboolean showJumpingBall;
	gboolean guessSyncLyrics;
	gboolean enableDebug;
        gchar* basePath;
        gchar* constructFilename;   // Not in use yet - can't get id3 information
	gchar* lyricExtension;
	gchar* lyricFontName;
	gchar* activeColor;
	gchar* backgroundColor;
	gchar* textColor;

	// From lyrics editor
	gboolean multiSelect;
	gboolean showHints;
	gboolean extendedLyrics;
	gint     reactionTime;

	// From HTML exporter
	gchar* htmlHeader;
	gchar* htmlTail;
	gchar* lyricLine;
	gint   exportMode;

	// Changed by program - restored
	gint singitWinPosX;
	gint singitWinPosY;
	gint editorWinPosX;
	gint editorWinPosY;
	gint configWinPosX;
	gint configWinPosY;
	gint singitWinSizeY;
	gint navigatorWinPosX;
	gint navigatorWinPosY;

	// config status
	gboolean isLoaded;
	guint    attachments;
	GSList  *update_controls;

	// program globals
	gchar *enabled_dplugins;
	LSong *song;

}
SingitConfig;

inline SingitConfig *get_singit_config(void);

#endif  // __SINGIT_CONFIG_H__
